%define name	vkeybd
%define version	0.1.16
%define release 1mdk

Name:		%name
Summary:	Virtual ALSA MIDI keyboard
Version:	%version
Release:	%release
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
URL:		http://members.tripod.de/iwai/awedrv.html
Source:		%{name}-%{version}.tar.bz2
Requires:	tk tcl
Buildrequires:	tk tcl

%description
Vkeybd is a virtual keyboard (as in musical instrument)
for AWE32/64, raw MIDI, and ALSA sequencer drivers.  It is written in
Tcl/Tk.  Enjoy playing music with your "computer" keyboard :-)

%prep
%setup -n %{name}
perl -p -i -e "s|-O|$RPM_OPT_FLAGS||g" Makefile

%build
TCL_VERSION=$(echo 'puts [package require Tcl]' | tclsh)
make PREFIX=%{_prefix} \
	TCLLIB=-ltcl$TCL_VERSION \
	TKLIB=-ltk$TCL_VERSION \
	XLIB="-L/usr/X11R6/lib64 -L/usr/X11R6/lib -lX11"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX="$RPM_BUILD_ROOT"%{_prefix} install
make MAN_DIR=$RPM_BUILD_ROOT%{_mandir} install-man

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="VKeybd"\
longtitle="On-screen ALSA MIDI keyboard"\
needs="x11"\
icon="%name.png"\
section="Multimedia/Sound"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp pixmaps/%{name}_48x48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp pixmaps/%{name}_32x32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp pixmaps/%{name}_16x16.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%update_menus

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
%{_datadir}/%name
%{_mandir}/man1/*
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 0.1.16-1mdk
- 0.1.16
- add menu and icons
- use makeflags

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.1.13-2mdk
- buildrequires tk
- fix mandir

* Wed Apr 23 2003 Austin Acton <aacton@yorku.ca> 0.1.13-1mdk
- 0.1.13

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 0.1.12-1mdk
- adapt spec file from Torbjorn Turpeinen <tobbe@nyvalls.se>
